flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Till Rohrmann <trohrm...@apache.org>
Subject Re: Failing Builds on Travis
Date Tue, 28 Apr 2015 16:03:21 GMT
Concerning the failed builds in the hadoop2.0.0-alpha profile I see a lot
of

07:47:57,927 ERROR akka.actor.ActorSystemImpl
     - Uncaught fatal error from thread
[flink-akka.remote.default-remote-dispatcher-7] shutting down ActorSystem
[flink]
java.lang.VerifyError: (class:
org/jboss/netty/channel/socket/nio/NioWorkerPool, method: createWorker
signature:
(Ljava/util/concurrent/Executor;)Lorg/jboss/netty/channel/socket/nio/AbstractNioWorker;)
Wrong return type in function
at
akka.remote.transport.netty.NettyTransport.<init>(NettyTransport.scala:283)
at
akka.remote.transport.netty.NettyTransport.<init>(NettyTransport.scala:240)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
at
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
at java.lang.reflect.Constructor.newInstance(Constructor.java:526)
at
akka.actor.ReflectiveDynamicAccess$$anonfun$createInstanceFor$2.apply(DynamicAccess.scala:78)
at scala.util.Try$.apply(Try.scala:161)
at
akka.actor.ReflectiveDynamicAccess.createInstanceFor(DynamicAccess.scala:73)
at
akka.actor.ReflectiveDynamicAccess$$anonfun$createInstanceFor$3.apply(DynamicAccess.scala:84)
at
akka.actor.ReflectiveDynamicAccess$$anonfun$createInstanceFor$3.apply(DynamicAccess.scala:84)
at scala.util.Success.flatMap(Try.scala:200)
at
akka.actor.ReflectiveDynamicAccess.createInstanceFor(DynamicAccess.scala:84)
at akka.remote.EndpointManager$$anonfun$9.apply(Remoting.scala:692)
at akka.remote.EndpointManager$$anonfun$9.apply(Remoting.scala:684)
at
scala.collection.TraversableLike$WithFilter$$anonfun$map$2.apply(TraversableLike.scala:722)
at scala.collection.Iterator$class.foreach(Iterator.scala:727)
at scala.collection.AbstractIterator.foreach(Iterator.scala:1157)
at scala.collection.IterableLike$class.foreach(IterableLike.scala:72)
at scala.collection.AbstractIterable.foreach(Iterable.scala:54)
at
scala.collection.TraversableLike$WithFilter.map(TraversableLike.scala:721)
at
akka.remote.EndpointManager.akka$remote$EndpointManager$$listens(Remoting.scala:684)
at
akka.remote.EndpointManager$$anonfun$receive$2.applyOrElse(Remoting.scala:492)
at akka.actor.Actor$class.aroundReceive(Actor.scala:465)
at akka.remote.EndpointManager.aroundReceive(Remoting.scala:395)
at akka.actor.ActorCell.receiveMessage(ActorCell.scala:516)
at akka.actor.ActorCell.invoke(ActorCell.scala:487)
at akka.dispatch.Mailbox.processMailbox(Mailbox.scala:254)
at akka.dispatch.Mailbox.run(Mailbox.scala:221)
at akka.dispatch.Mailbox.exec(Mailbox.scala:231)
at scala.concurrent.forkjoin.ForkJoinTask.doExec(ForkJoinTask.java:260)
at
scala.concurrent.forkjoin.ForkJoinPool$WorkQueue.runTask(ForkJoinPool.java:1339)
at scala.concurrent.forkjoin.ForkJoinPool.runWorker(ForkJoinPool.java:1979)
at
scala.concurrent.forkjoin.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:107)

in the logs. This does not look right and indicates a version conflict of
Netty. Netty 4.0 does not longer have a NioWorkerPool. I suspect that we
have multiple Netty jars in the class path. This might be related to the
other problems we're currently having with Travis.

On Tue, Apr 28, 2015 at 2:53 PM, Ufuk Celebi <uce@apache.org> wrote:

>
> On 28 Apr 2015, at 13:49, Maximilian Michels <mxm@apache.org> wrote:
>
> > Hi Robert,
> >
> > Thanks for investigating the Travis build issues. I'm very much in favor
> > for dropping Java 6. It's deprecated. All major Linux distributions are
> > shipping at least Java 7. It's a rare use case that requires a lot of
> > effort for us to maintain backwards compatibility.
> >
> > I don't recall the discussion but if we really decided to keep Java 6,
> then
> > I guess we have to install a custom Maven version on Travis.
>
> There was a discussion ~6 months ago:
> http://apache-flink-mailing-list-archive.1008284.n3.nabble.com/DISCUSS-Bump-the-minimum-Java-requirement-to-Java-7-for-Flink-td2243.html#a2249
>
> Result was to not drop support for it. I'm not sure if anything has
> changed (with regards to the arguments made). You can start a new
> discussion if you think we should consider dropping support. In any case,
> let's not mix it up with the discussion here.
>
> – Ufuk

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message